%define major		3
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		olm
Version:	3.2.15
Release:	%mkrel 1
Summary:	Double Ratchet cryptographic library
License:	ASL 2.0
Group:		System/Libraries
URL:		https://gitlab.matrix.org/matrix-org/%{name}
Source0:	https://gitlab.matrix.org/matrix-org/%{name}/-/archive/%{version}/%{name}-%{version}.tar.xz

BuildRequires:	ninja-build
BuildRequires:  cmake

BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools
BuildRequires:	python3-cffi
BuildRequires:	python3-future

%description
An implementation of the Double Ratchet cryptographic ratchet in C++.

#------------------------------------------------

%package -n	%{libname}
Summary:	Double Ratchet cryptographic library
Group:		System/Libraries

%description -n	%{libname}
An implementation of the Double Ratchet cryptographic ratchet in C++.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Header files for development with %{name}.

#------------------------------------------------

%package -n	python3-%{name}
Summary:	Python 3 bindings for %{name}
Group:		Development/Python
%{?python_provide:%python_provide python3-%{name}}

%description -n	python3-%{name}
Python 3 bindings for Olm Double Ratchet cryptographic library.

#------------------------------------------------

%prep
%autosetup -p1

%build

%cmake \
    -DOLM_TESTS=OFF
%cmake_build

%install
%cmake_install

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/Olm/
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Sep 15 2023 tex - 3.2.15-1pclos2023
- import for neochat
